Get a single workflow run by id (poll this after POST /workflows/:id/run).
Get a single workflow run by id (poll this after POST /workflows/:id/run).
GET
https://staging.softsolz.uk/api/v1/services/workflows/runs/{id}Recent Requests
Log in to see full request historyTimeStatusUser Agent
Make a request to see history.
Path Params
idstringrequiredHeaders
AuthorizationstringrequiredBearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.
Response
Response Body
idstringRun id.workflow_idstringParent workflow id.statusstringRun status.started_atstring | nullWhen the run started.finished_atstring | nullWhen the run finished.triggered_bystring | nullOrigin of the run (api, schedule, or a user).outputobject | array | string | nullExecutor output payload.errorstring | nullError message when the run failed.workflow_namestringParent workflow name.Request
import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.workflows.getRun('<id>');console.log(result);Credentials
Sent as a Bearer token. Stored only in your browser.
Response · 200
{ "data": { "id": "string", "workflow_id": "string", "status": "string", "started_at": "string", "finished_at": "string", "triggered_by": "string", "output": "string", "error": "string", "workflow_name": "string" }}